# azure.mgmt.msi.models module

class `azure.mgmt.msi.models.``Identity`(*, location: str = None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Describes an identity resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The id of the created identity.
  - name (str) – The name of the created identity.
  - tenant_id (str) – The id of the tenant which the identity belongs to.
  - principal_id (str) – The id of the service principal object associated with the created identity.
  - client_id (str) – The id of the app associated with the identity. This is a random generated UUID by MSI.
  - client_secret_url (str) – The ManagedServiceIdentity DataPlane URL that can be queried to obtain the identity credentials. If identity is user assigned, then the clientSecretUrl will not be present in the response, otherwise it will be present.
  - type (str or UserAssignedIdentities) – The type of resource i.e. Microsoft.ManagedIdentity/userAssignedIdentities. Possible values include: ‘Microsoft.ManagedIdentity/userAssignedIdentities’

  Parameters:

  - location (str) – The Azure region where the identity lives.
  - tags (dict[str, str]) – Resource tags

class `azure.mgmt.msi.models.``OperationDisplay`(*, provider: str = None, operation: str = None, resource: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Operation Display.

  The object that describes the operation.

  Parameters:

  - provider (str) – Resource Provider Name. Friendly name of the resource provider.
  - operation (str) – Operation Type. The type of operation. For example: read, write, delete.
  - resource (str) – Resource Type. The resource type on which the operation is performed.
  - description (str) – Operation description. A description of the operation.

class `azure.mgmt.msi.models.``Operation`(*, name: str = None, display=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Microsoft.ManagedIdentity Operation.

  Operation supported by the Microsoft.ManagedIdentity REST API.

  Parameters:

  - name (str) – Operation Name. The name of the REST Operation. This is of the format {provider}/{resource}/{operation}.
  - display (OperationDisplay) – Operation Display. The object that describes the operation.

class `azure.mgmt.msi.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Operation` object

class `azure.mgmt.msi.models.``IdentityPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Identity` object

class `azure.mgmt.msi.models.``UserAssignedIdentities`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `microsoft_managed_identityuser_assigned_identities` = 'Microsoft.ManagedIdentity/userAssignedIdentities'